package com.xhpc.common.domain;

import com.xhpc.common.core.annotation.Excel;
import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 电站对象 xhpc_charging_station
 *
 * @author yuyang
 * @date 2021-07-19
 */
public class XhpcChargingStation extends BaseEntity {


    private static final long serialVersionUID = 1L;

    /** 电站id */
    private Long chargingStationId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 成都监管平台推送场站名称 */
    @Excel(name = "成都监管平台推送场站名称")
    private String chengduName;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long operatorId;

    /** 电站位置 */
    @Excel(name = "电站位置")
    private Integer type;

    /** 建设场所 */
    @Excel(name = "建设场所")
    private Integer constructionSite;

    /** 电站类型 */
    @Excel(name = "电站类型")
    private Integer stationType;

    /** 服务设施 */
    @Excel(name = "服务设施")
    private String serviceFacilities;

    /** 周边设施 */
    @Excel(name = "周边设施")
    private String peripheryFacilities;

    /** 地址code */
    @Excel(name = "地址code")
    private Integer areaCode;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailedAddress;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 维度 */
    @Excel(name = "维度")
    private String latitude;

    /** 停车说明 */
    @Excel(name = "停车说明")
    private String parkingInstructions;

    /** 编号 */
    @Excel(name = "编号")
    private String serialNumber;

    /** 客户端可见类型 */
    @Excel(name = "客户端可见类型")
    private String clientVisible;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 当前计费模型id */
    @Excel(name = "当前计费模型id")
    private Long rateModelId;

    /** 图片id */
    @Excel(name = "图片id")
    private String imgId;

    /** 营业说明 */
    @Excel(name = "营业说明")
    private String businessInstructions;

    /** 温馨提示说明 */
    @Excel(name = "温馨提示说明")
    private String reminderInstructions;

    /**
     * 对接第三方平台及监管平台的operatorId
     */
    private String operatorIdEvcs;

    /**
     * 站点电话
     */
    private String serviceTel;

    /**
     * 装机总功率（单位：kw）
     */
    private Integer installedTotalPower;

    /**
     * 运行最大总功率(单位：%）
     */
    private Integer runningTotalPower;
    /**
     * 产权所属单位ID
     */
    private String equipmentOwnerId;

    /**
     * 成都市推送产权所属单位ID
     */
    private String internetEquipmentOwnerId;

    /**
     * 是否独立报桩
     */
    private Integer isAloneApply;
    /**
     * 户号
     */
    private String accountNumber;
    /**
     * 容量
     */
    private Double capacity;
    /**
     * 充电站国家代码
     */
    private String countryCode;
    /**
     * 小区是否对外开放（0 否 1是）
     */
    private Integer isOpen;
    /**
     * 停车收费类型（0停车收费 1停车免费 2限时免费 3充电限免）
     */
    private Integer parkFeeType;
    /**
     * 是否配备卫生间（0无 1有）
     */
    private Integer toiletFlag;
    /**
     * 是否配备便利店（0无 1有）
     */
    private Integer storeFlag;
    /**
     * 是否配备休息室（0无 1有）
     */
    private Integer loungeFlag;
    /**
     * 是否配备雨棚（0无 1有）
     */
    private Integer canopyFlag;
    /**
     * 是否有小票机（0无 1有）
     */
    private Integer printerFlag;
    /**
     * 是否有道闸（0无 1有）
     */
    private Integer barrierFlag;
    /**
     * 是否有地锁（0无 1有）
     */
    private Integer parkingLockFlag;
    /**
     * 是否参与需求响应（0否 1是）
     */
    private Integer isDemandResponse;
    /**
     * 有序充电场站（0否 1是）
     */
    private Integer isSupportOrderlyCharging;
    /**
     * 是否有存能设备（0否 1是）
     */
    private Integer isEnergyStorage;
    /**
     * 建设时间
     */
    private String constructionTime;
    /**
     * 场站建设状态
     */
    private Integer stationStatus;
    /**
     * 是否全天开放（0 否 1是，为零时营业时间必填）
     */
    private Integer openAllDay;
    /**
     *推荐格  式：周一 至周日 00:00-24:00
     */
    private String busineHours;
    /**
     * 充电费描述
     */
    private String electricityFee;
    /**
     * 服务费率描述
     */
    private String serviceFee;

    private String serviceFeeDescribe;

    /**
     * 是否免费停车（0 否 1是）
     */
    private Integer parkFree;
    /**
     * 停车费描述
     */
    private String parkFee;
    /**
     * 支付方式：刷卡、线上、现金 电子钱包：微信/支付宝
     */
    private String payment;
    /**
     * 设备类型：1：直流设备 2：交流设备 3：交直流一体设备
     */
    private Integer equipmentType;
    /**
     * 充电站省市辖区编码
     */
    private String areaCodeCountryside;
    /**
     * 服务车型描述
     */
    private String swapMatchCarsName;
    /**
     * 站点分类 1充电站 2 换电站 3 充换电一体站
     */
    private Integer stationClassification;
    /**
     * 通用类型
     */
    private Integer generalApplicationType;
    /**
     * 7*24小时营业
     */
    private Integer roundTheClock;
    /**
     * 停车费类型
     */
    private Integer parkType;
    /**
     * 电费类型
     */
    private Integer electncityType;
    /**
     * 报装类型
     */
    private Integer businessExpandType;
    /**
     * 站点额定总功率
     */
    private Double ratedPower;
    /**
     * 峰谷分时
     */
    private Integer periodFee;
    /**
     * 正式投运时间
     */
    private String officialRunTime;
    /**
     * 视频监控配套情况
     */
    private Integer videoMonitor;
    /**
     * 道闸id
     */
    private Long barrierGateId;

    /**
     * 允许充电方式
     */
    private String chargingMethod;

    /**
     * 允许充电方式
     */
    private Integer internalType;

    public Integer getInstalledTotalPower() {
        return installedTotalPower;
    }

    public void setInstalledTotalPower(Integer installedTotalPower) {
        this.installedTotalPower = installedTotalPower;
    }

    public Integer getRunningTotalPower() {
        return runningTotalPower;
    }

    public void setRunningTotalPower(Integer runningTotalPower) {
        this.runningTotalPower = runningTotalPower;
    }

    /**
     *侧位数量
     */
    private Integer parkNums;


    public String getOperatorIdEvcs() {

        return operatorIdEvcs;
    }

    public void setOperatorIdEvcs(String operatorIdEvcs) {

        this.operatorIdEvcs = operatorIdEvcs;
    }

    public void setChargingStationId(Long chargingStationId)
    {
        this.chargingStationId = chargingStationId;
    }

    public Long getChargingStationId()
    {
        return chargingStationId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setOperatorId(Long operatorId)
    {
        this.operatorId = operatorId;
    }

    public Long getOperatorId()
    {
        return operatorId;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    public String getServiceFacilities()
    {
        return serviceFacilities;
    }
    public void setPeripheryFacilities(String peripheryFacilities)
    {
        this.peripheryFacilities = peripheryFacilities;
    }

    public String getPeripheryFacilities()
    {
        return peripheryFacilities;
    }
    public void setAreaCode(Integer areaCode)
    {
        this.areaCode = areaCode;
    }

    public Integer getAreaCode()
    {
        return areaCode;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setDetailedAddress(String detailedAddress)
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress()
    {
        return detailedAddress;
    }
    public void setLongitude(String longitude)
    {
        this.longitude = longitude;
    }

    public String getLongitude()
    {
        return longitude;
    }
    public void setLatitude(String latitude)
    {
        this.latitude = latitude;
    }

    public String getLatitude()
    {
        return latitude;
    }
    public void setParkingInstructions(String parkingInstructions)
    {
        this.parkingInstructions = parkingInstructions;
    }

    public String getParkingInstructions()
    {
        return parkingInstructions;
    }
    public void setSerialNumber(String serialNumber)
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber()
    {
        return serialNumber;
    }
    public void setClientVisible(String clientVisible)
    {
        this.clientVisible = clientVisible;
    }

    public String getClientVisible()
    {
        return clientVisible;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setRateModelId(Long rateModelId)
    {
        this.rateModelId = rateModelId;
    }

    public Long getRateModelId()
    {
        return rateModelId;
    }

    public String getImgId() {

        return imgId;
    }

    public void setImgId(String imgId) {

        this.imgId = imgId;
    }

    public String getBusinessInstructions() {

        return businessInstructions;
    }

    public void setBusinessInstructions(String businessInstructions) {

        this.businessInstructions = businessInstructions;
    }

    public String getReminderInstructions() {

        return reminderInstructions;
    }

    public void setReminderInstructions(String reminderInstructions) {

        this.reminderInstructions = reminderInstructions;
    }

    public Integer getConstructionSite() {

        return constructionSite;
    }

    public void setConstructionSite(Integer constructionSite) {

        this.constructionSite = constructionSite;
    }

    public Integer getStationType() {

        return stationType;
    }

    public void setStationType(Integer stationType) {

        this.stationType = stationType;
    }

    public void setServiceFacilities(String serviceFacilities) {

        this.serviceFacilities = serviceFacilities;
    }

    public String getServiceTel() {

        return serviceTel;
    }

    public void setServiceTel(String serviceTel) {

        this.serviceTel = serviceTel;
    }

    public Integer getParkNums() {

        return parkNums;
    }

    public void setParkNums(Integer parkNums) {

        this.parkNums = parkNums;
    }

    public String getEquipmentOwnerId() {
        return equipmentOwnerId;
    }

    public void setEquipmentOwnerId(String equipmentOwnerId) {
        this.equipmentOwnerId = equipmentOwnerId;
    }

    public Integer getIsAloneApply() {
        return isAloneApply;
    }

    public void setIsAloneApply(Integer isAloneApply) {
        this.isAloneApply = isAloneApply;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public Double getCapacity() {
        return capacity;
    }

    public void setCapacity(Double capacity) {
        this.capacity = capacity;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public Integer getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(Integer isOpen) {
        this.isOpen = isOpen;
    }

    public Integer getParkFeeType() {
        return parkFeeType;
    }

    public void setParkFeeType(Integer parkFeeType) {
        this.parkFeeType = parkFeeType;
    }

    public Integer getToiletFlag() {
        return toiletFlag;
    }

    public void setToiletFlag(Integer toiletFlag) {
        this.toiletFlag = toiletFlag;
    }

    public Integer getStoreFlag() {
        return storeFlag;
    }

    public void setStoreFlag(Integer storeFlag) {
        this.storeFlag = storeFlag;
    }

    public Integer getLoungeFlag() {
        return loungeFlag;
    }

    public void setLoungeFlag(Integer loungeFlag) {
        this.loungeFlag = loungeFlag;
    }

    public Integer getCanopyFlag() {
        return canopyFlag;
    }

    public void setCanopyFlag(Integer canopyFlag) {
        this.canopyFlag = canopyFlag;
    }

    public Integer getPrinterFlag() {
        return printerFlag;
    }

    public void setPrinterFlag(Integer printerFlag) {
        this.printerFlag = printerFlag;
    }

    public Integer getBarrierFlag() {
        return barrierFlag;
    }

    public void setBarrierFlag(Integer barrierFlag) {
        this.barrierFlag = barrierFlag;
    }

    public Integer getParkingLockFlag() {
        return parkingLockFlag;
    }

    public void setParkingLockFlag(Integer parkingLockFlag) {
        this.parkingLockFlag = parkingLockFlag;
    }

    public Integer getIsDemandResponse() {
        return isDemandResponse;
    }

    public void setIsDemandResponse(Integer isDemandResponse) {
        this.isDemandResponse = isDemandResponse;
    }

    public Integer getIsSupportOrderlyCharging() {
        return isSupportOrderlyCharging;
    }

    public void setIsSupportOrderlyCharging(Integer isSupportOrderlyCharging) {
        this.isSupportOrderlyCharging = isSupportOrderlyCharging;
    }

    public Integer getIsEnergyStorage() {
        return isEnergyStorage;
    }

    public void setIsEnergyStorage(Integer isEnergyStorage) {
        this.isEnergyStorage = isEnergyStorage;
    }

    public String getConstructionTime() {
        return constructionTime;
    }

    public void setConstructionTime(String constructionTime) {
        this.constructionTime = constructionTime;
    }

    public Integer getStationStatus() {
        return stationStatus;
    }

    public void setStationStatus(Integer stationStatus) {
        this.stationStatus = stationStatus;
    }

    public Integer getOpenAllDay() {
        return openAllDay;
    }

    public void setOpenAllDay(Integer openAllDay) {
        this.openAllDay = openAllDay;
    }

    public String getBusineHours() {
        return busineHours;
    }

    public void setBusineHours(String busineHours) {
        this.busineHours = busineHours;
    }

    public String getElectricityFee() {
        return electricityFee;
    }

    public void setElectricityFee(String electricityFee) {
        this.electricityFee = electricityFee;
    }

    public String getServiceFee() {
        return serviceFee;
    }

    public void setServiceFee(String serviceFee) {
        this.serviceFee = serviceFee;
    }

    public Integer getParkFree() {
        return parkFree;
    }

    public void setParkFree(Integer parkFree) {
        this.parkFree = parkFree;
    }

    public String getParkFee() {
        return parkFee;
    }

    public void setParkFee(String parkFee) {
        this.parkFee = parkFee;
    }

    public String getPayment() {
        return payment;
    }

    public void setPayment(String payment) {
        this.payment = payment;
    }

    public Integer getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(Integer equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getAreaCodeCountryside() {
        return areaCodeCountryside;
    }

    public void setAreaCodeCountryside(String areaCodeCountryside) {
        this.areaCodeCountryside = areaCodeCountryside;
    }

    public String getSwapMatchCarsName() {
        return swapMatchCarsName;
    }

    public void setSwapMatchCarsName(String swapMatchCarsName) {
        this.swapMatchCarsName = swapMatchCarsName;
    }

    public Integer getStationClassification() {
        return stationClassification;
    }

    public void setStationClassification(Integer stationClassification) {
        this.stationClassification = stationClassification;
    }

    public Integer getGeneralApplicationType() {
        return generalApplicationType;
    }

    public void setGeneralApplicationType(Integer generalApplicationType) {
        this.generalApplicationType = generalApplicationType;
    }

    public Integer getRoundTheClock() {
        return roundTheClock;
    }

    public void setRoundTheClock(Integer roundTheClock) {
        this.roundTheClock = roundTheClock;
    }

    public Integer getParkType() {
        return parkType;
    }

    public void setParkType(Integer parkType) {
        this.parkType = parkType;
    }

    public Integer getElectncityType() {
        return electncityType;
    }

    public void setElectncityType(Integer electncityType) {
        this.electncityType = electncityType;
    }

    public Integer getBusinessExpandType() {
        return businessExpandType;
    }

    public void setBusinessExpandType(Integer businessExpandType) {
        this.businessExpandType = businessExpandType;
    }

    public Double getRatedPower() {
        return ratedPower;
    }

    public void setRatedPower(Double ratedPower) {
        this.ratedPower = ratedPower;
    }

    public Integer getPeriodFee() {
        return periodFee;
    }

    public void setPeriodFee(Integer periodFee) {
        this.periodFee = periodFee;
    }

    public String getOfficialRunTime() {
        return officialRunTime;
    }

    public void setOfficialRunTime(String officialRunTime) {
        this.officialRunTime = officialRunTime;
    }

    public Integer getVideoMonitor() {
        return videoMonitor;
    }

    public void setVideoMonitor(Integer videoMonitor) {
        this.videoMonitor = videoMonitor;
    }

    public Long getBarrierGateId() {
        return barrierGateId;
    }

    public void setBarrierGateId(Long barrierGateId) {
        this.barrierGateId = barrierGateId;
    }

    public String getServiceFeeDescribe() {
        return serviceFeeDescribe;
    }

    public void setServiceFeeDescribe(String serviceFeeDescribe) {
        this.serviceFeeDescribe = serviceFeeDescribe;
    }

    public String getChargingMethod() {
        return chargingMethod;
    }

    public void setChargingMethod(String chargingMethod) {
        this.chargingMethod = chargingMethod;
    }
    public String getChengduName() {
        return chengduName;
    }

    public void setChengduName(String chengduName) {
        this.chengduName = chengduName;
    }

    public String getInternetEquipmentOwnerId() {
        return internetEquipmentOwnerId;
    }

    public void setInternetEquipmentOwnerId(String internetEquipmentOwnerId) {
        this.internetEquipmentOwnerId = internetEquipmentOwnerId;
    }

    public Integer getInternalType() {
        return internalType;
    }

    public void setInternalType(Integer internalType) {
        this.internalType = internalType;
    }
}
